/* 
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


function confirmDeleteScanEntries() {
    app.dialog.confirm(
            "Really delete all entries from scan list?",
            "Clear Entries",
            function () {
                // clear
                setStorage("scanevents", "[]");
                router.navigate("/toolbox/scanner/entries", {
                    reloadCurrent: true
                });
            },
            function () {
                // cancel
            }
    );
}